aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-ujson/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/py-ujson/APKBUILD')
-rw-r--r--testing/py-ujson/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-ujson/APKBUILD b/testing/py-ujson/APKBUILD
new file mode 100644
index 0000000000..2728ae0650
--- /dev/null
+++ b/testing/py-ujson/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-ujson
+_pkgname=ujson
+pkgver=1.33
+pkgrel=0
+pkgdesc="A fast Python JSON encoder and decoder"
+url="http://github.com/esnme/ultrajson"
+arch="all"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.zip"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="8148a2493fff78940feab1e11dc0a893 ujson-1.33.zip"
+sha256sums="68cf825f227c82e1ac61e423cfcad923ff734c27b5bdd7174495d162c42c602b ujson-1.33.zip"
+sha512sums="0f1f66212fbf94c03e048ba64c3bd817c50443d1a29b87f6a3a38f697a050f38821be4ba36a3b17a96930c69ee92973ac31bdd41851dea071af14cd4bbaf8480 ujson-1.33.zip"